<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="init" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0030"
	title	= "選択ﾏｽﾀ"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>

<!-- エラー時に戻るボタンを表示します。-->
<jsp:directive.include file="/jsp/common/history_back.jsp" />

<!-- command="ENTRY"時は、nullCheck を含め、すべて自動で処理されます。-->
<og:columnCheck command="{@command}" />

<!-- command="ENTRY"時は、リクエスト情報（カラム名__行番号)を、DBTableModelにセットします。-->
<!-- カラムに対して値をセットしない場合、ColumnSetTagは不要です。 -->
<og:entry command="{@command}"  />

<!-- TableExistTag は、command="ENTRY" のときのみ有効です。-->
<og:dataCheck command="{@command}" sqlType="{@sqlType}">
	select count(*) from GG03
	where SEL_TYPE=[SEL_TYPE] AND SEL_KEY=[SEL_KEY] AND SEL_VAL=[SEL_VAL] AND FGJ=[FGJ]
</og:dataCheck>

<!-- 前画面のSQL文を実行する場合に、tableUpdate の queryType="JDBCTableUpdate"を指定します。-->
<!-- 通常は変更する必要はありません。 -->
<og:transaction>
	<og:tableUpdate command="{@command}" queryType="JDBCTableUpdate" debug="{@debug}">
		<og:tableUpdateParam
			sqlType= "{@sqlType}"
			table  = "GG03"
			where  = "SEL_TYPE=[SEL_TYPE] AND SEL_KEY=[SEL_KEY] AND SEL_VAL=[SEL_VAL] AND FGJ=[FGJ]"
			omitNames = "UNIQ"
		/>
	</og:tableUpdate>
	<!-- SEQNOの再セット -->
	<og:query
		dbid 		= "{@MEM.TO_DBID}"
		command		= "NEW"
		maxRowCount	= "0" >
			select SEL_TYPE,SEL_KEY,SEQNO,SEL_GRP,SEL_VAL,UNIQ from GG03 where SEL_TYPE='0' or SEL_TYPE='1'
			union
			select SEL_TYPE,SEL_GRP,SEQNO,SEL_KEY,SEL_VAL,UNIQ from GG03 where SEL_TYPE='2'
			order  BY 1,2,3,4,5
	</og:query>

	<og:tableFilter classId="SEQRESET" keys="SEQ_CLM,CLEAR_CLM" vals="SEQNO,SEL_KEY" selectedAll="true" />
	<og:tableUpdate
		dbid 		= "{@MEM.TO_DBID}"
		command		= "{@command}"
		selectedAll = "true"
		queryType	= "JDBCTableUpdate" >
			UPDATE GG03 SET
				SEQNO  = [SEQNO]
			WHERE UNIQ = [UNIQ]
			AND SEQNO != [SEQNO]
	</og:tableUpdate>
</og:transaction>

<og:forward page="result.jsp" keys="command" vals="RENEW" />
<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
