<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">

<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />

<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0050"
	title	= "予定実績ﾃｰﾌﾞﾙ"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>
<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />
<!-- 入力チェック -->
<og:columnCheck
	command   = "{@command}"
	columns   = "*"
/>

<og:value command="SET" key="YMDFROM" value='{@NVL.DYFROM "@DATE.YMD M-1"}' />	<!-- １ヶ月前 -->
<og:value command="SET" key="YMDTO"   value='{@NVL.DYTO   "@DATE.YMD M2"}' />

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<!-- DB検索 SQL文記述 debug="true" でSQL文を確認できます。-->
<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}" >
	<!-- 先頭のカラム名が、"WRITABLE" の場合、'true' or '1' で、書き込み許可が与えら,'2' でチェック済みになります。-->
		select 	 A.DY_YOTE , A.CDJISI  , A.JUDG
				,A.SET_KEY , A.SET_GRP , A.DY_HATU
				,A.USRYOTE , A.USRJISI , A.USRAPP  , A.CMNT
				,A.UNIQ,A.FGJ,A.USRSET,A.DYSET,A.USRUPD,A.DYUPD
		from GG11 A
	<og:where>
		<og:and value = "A.DY_YOTE	&gt;= '{@YMDFROM}'"		/>
		<og:and value = "A.DY_YOTE	&lt;= '{@YMDTO}'"		/>
		<og:and value = "A.CDJISI	=    '{@CDJISI}'"		/>
		<og:and value = "A.JUDG		=    '{@JUDG}'"			/>
		<og:and value = "A.SET_GRP	=    '{@SET_GRP}'"		/>
		<og:and value = "A.SET_KEY	like '{@SET_KEY}'"		/>
<!--	<og:and value = "A.DY_HATU	like '{@DY_HATU}'"		/>		-->
		<og:and value = "A.USRYOTE	like '{@USRYOTE}'"		/>
		<og:and value = "A.USRJISI	like '{@USRJISI}'"		/>
		<og:and value = "A.USRAPP	like '{@USRAPP}'"		/>
		<og:and value = "A.CMNT		like '{@CMNT}'"			/>
	</og:where>
	<og:appear startKey = "order by" value = "{@ORDER_BY}"
				defaultVal = "A.DY_YOTE,A.SET_KEY,A.SET_GRP" />
</og:query>

<og:columnEditor columns="DY_YOTE,SET_GRP,CDJISI"	must="true" />
<og:columnEditor column="SET_KEY" 	must="true" eventColumn="SET_GRP" />

<og:viewLink command="{@command}">
	<og:link column="DY_YOTE" gamenId="GG0100" href="index.jsp" target="CONTENTS"
		keys="command,DY_YOTE,DY_HATU,SET_KEY,SET_GRP"
		vals="NEW,[DY_HATU],{@DATE.YMD},[SET_KEY],[SET_GRP]" />
	<og:link column="DY_HATU" gamenId="GG0100" href="index.jsp" target="CONTENTS"
		keys="command,DY_HATU,SET_KEY,SET_GRP"
		vals="NEW,[DY_HATU],[SET_KEY],[SET_GRP]" />
</og:viewLink>

<og:viewMarker command="{@command}" >
	<og:columnMarker column="JUDG" >
		<div class="judg[!JUDG]">[JUDG]</div>
	</og:columnMarker>
</og:viewMarker>

<!-- 判定結果 の凡例と、CSS -->
<jsp:directive.include file="/jsp/customGG/colorCSS.jsp" />

<form method="POST" action="forward.jsp" target="RESULT" >
	<!-- 複写、変更、削除ボタンを作成します。value属性+.jspの画面に制御が移ります。 -->
	<!-- このとき、command=(value属性の値の大文字)が設定されます。 command属性で設定しなおすことも出来ます。-->
	<og:writeCheck>
		<og:input name="repeatCount" value="1" lbl="" td="false" size="2"/>
		<og:submit  action="COPY"    noWritable="DY_HATU" />
		<og:submit  action="MODIFY"  columnWritable="JUDG,USRYOTE,USRJISI,USRAPP,CMNT"  />
		<og:submit  action="DELETE"  columnWritable="null" />
		<pre>　　　　　</pre>
		<!-- 承認ボタンは、roles 指定する -->
		<og:submit  action="MODIFY"  columnWritable="CDJISI,USRAPP,CMNT" roles="admin" lbl="CDJISI.2" keys="CDJISI" vals="2" />
	<br />
	</og:writeCheck>

	<!-- DB検索結果を表示させます。 -->
	<!-- checked="true" で、チェック済みの状態で表示できます。 -->
	<!-- selectedType="checkbox(デフォルト)/radio/hidden" から、選べます。-->
	<og:view
		viewFormType = "HTMLTable"
		command    = "{@command}"
		noDisplay  = "UNIQ,USRSET,DYSET,USRUPD,DYUPD,{@extDisplay}"
		checked    = "{@checked}"
		startNo    = "{@startNo}"
		pageSize   = "{@pageSize}"
	/>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
