<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="init" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0100"
	title	= "ﾃﾞｰﾀ登録"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>

<!-- エラー時に戻るボタンを表示します。-->
<jsp:directive.include file="/jsp/common/history_back.jsp" />

<!-- command="ENTRY"時は、nullCheck を含め、すべて自動で処理されます。-->
<og:columnCheck command="ENTRY" />

<!-- command="ENTRY"時は、リクエスト情報（カラム名__行番号)を、DBTableModelにセットします。-->
<!-- カラムに対して値をセットしない場合、ColumnSetTagは不要です。 -->
<og:entry command="ENTRY" selectedAll="true" />

<!-- TableExistTag は、command="ENTRY" のときのみ有効です。-->
<og:dataCheck command="ENTRY" sqlType="{@sqlType}">
	select count(*) from GG10
	where DY_HATU=[DY_HATU] AND SET_KEY=[SET_KEY] AND SET_GRP=[SET_GRP] AND TOKEN=[TOKEN] AND FGJ=[FGJ]
</og:dataCheck>

<!-- VAL,JUDG,RIYU 必須、DATA_TYPE,CDREC,E_MIN,W_MIN,W_MAX,E_MAX を使って、結果を判定します -->
<!-- 代表結果(D_JUDG) と、JUDG毎の件数が設定されています。 -->
<og:tableFilter classId="JUDG" />

<!-- 前画面のSQL文を実行する場合に、tableUpdate の queryType="JDBCTableUpdate"を指定します。-->
<!-- 通常は変更する必要はありません。 -->
<og:transaction>
	<og:tableUpdate command="ENTRY" queryType="JDBCTableUpdate" debug="{@debug}" selectedAll="true">
		<!-- VAL値が同じ場合は、更新しません(insertOnly="true") そうでない場合は、UPCNT を繰り上げて、INSERTします。 -->
		<og:tableUpdateParam
			sqlType		= "MERGE"
			table		= "GG10"
			insertOnly	= "true"
			names		= "DY_HATU,SET_KEY,SET_GRP,TOKEN,VAL,TANI,JUDG,RIYU"
			where		= "DY_HATU=[DY_HATU] AND SET_KEY=[SET_KEY] AND SET_GRP=[SET_GRP] AND TOKEN=[TOKEN] AND UPCNT=[UPCNT] AND TOKEN=[TOKEN] AND VAL=[VAL] AND FGJ=[FGJ]"
			omitNames	= "UNIQ"
			constKeys	= "UPCNT"
			constVals	= "{@MXCNT}"
		/>
	</og:tableUpdate>

	<!-- GG11 予定実績ﾃｰﾌﾞﾙ に追加するために、ﾏｰｼﾞしておく -->
	<og:tableMerge
		action     = "GROUP"
		masterKeys = "DY_YOTE,SET_KEY,SET_GRP,FGJ"
	/>

	<!-- GG11 予定実績ﾃｰﾌﾞﾙ に ﾏｰｼﾞします -->
	<og:tableUpdate command="ENTRY" queryType="JDBCTableUpdate" debug="{@debug}" selectedAll="true">
		<og:tableUpdateParam
			sqlType= "MERGE"
			table  = "GG11"
			names  = "DY_YOTE,SET_KEY,SET_GRP,DY_HATU"
			where  = "DY_YOTE=[DY_YOTE] AND SET_KEY=[SET_KEY] AND SET_GRP=[SET_GRP] AND FGJ=[FGJ]"
			constKeys = "CDJISI,JUDG,USRJISI"
			constVals = "1,{@D_JUDG},{@USER.ID}"
		/>
	</og:tableUpdate>
</og:transaction>

<og:forward page="result.jsp" keys="command,TAB_NM" vals="RENEW,{@TAB_NM}" />
<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
