<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">

<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" useTabLink="true">
	<!-- タブリンクの切り替えで、先に記述済みの値を登録するためにサブミットさせる -->
	<script type="text/javascript">
		function sub( lnk ) {
			// クリックされたリンクから、タブのnameを取り出し、hiddenにセットする。
			var key = document.getElementById('TAB_NM');
			key.value=lnk.name;

			// ボタン(一つだけのはず)を見つけて、クリックすることで、サブミットさせる。
			var obj = document.getElementsByName('command');
			if( obj &amp;&amp; obj[0] ) {
				obj[0].click();
			}
		}
	</script>

	<style type="text/css">
		/* ｲﾝﾗｲﾝﾌﾞﾛｯｸ要素(大きさ自動指定)、上寄せ */
		fieldset { display:inline-block; vertical-align:top; }

		/* 極小ﾌｫﾝﾄ、真ん中寄せ、等倍、整形書式 */
		div.small { display:inline-block; font-size: x-small; text-align: center; vertical-align:top; font-family: monospace; white-space: pre; }
	</style>
</og:head>

<jsp:directive.include file="/jsp/custom/result_info.jsp" />

<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0100"
	title	= "ﾃﾞｰﾀ登録"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>

<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="MSG0065" />
<!-- 入力チェック -->
<og:columnCheck
	command   = "{@command}"
	columns   = "*"
/>

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<og:text>
<table>
	<tr>
		<td><b>{@LBL.DY_HATU}：</b></td><td>{@DATE.YMDF @DY_HATU}</td><td width="20px"></td>
		<td><b>{@LBL.SET_GRP}：</b></td><td>{@SET_GRP}			 </td><td width="20px"></td>
		<td><b>{@LBL.SET_KEY}：</b></td><td>{@SET_KEY}			 </td><td width="20px"></td>
		<td><b>{@LBL.DY_YOTE}：</b></td><td>{@DY_YOTE}</td>
	</tr>
</table>
</og:text>

<!-- 判定結果 の凡例と、CSS -->
<jsp:directive.include file="/jsp/customGG/colorCSS.jsp" />

<og:value command="SQL">
	select count(*) as CNT from GG10 where DY_HATU='{@DY_HATU}' and SET_KEY='{@SET_KEY}' and SET_GRP in ( '{@SET_GRP}','{@SEL_KEY}' ) and rownum=1
</og:value>

<!-- ﾀﾌﾞ名称 が未指定の場合は、一番最初のﾀﾌﾞを選択する -->
<og:value command="SQL" caseNull="{@TAB_NM}">
	select TAB_NM from GG02 where SET_GRP='{@SET_GRP}' group by TAB_NM order by min(ROWNO),min(COLNO)
</og:value>

<!-- DB検索 SQL文記述 debug="true" でSQL文を確認できます。-->
<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}" >
		select	'{@DY_HATU}' as DY_HATU	,
				'{@SET_KEY}' as SET_KEY	,
				'{@SET_GRP}' as SET_GRP	,
				COALESCE( B.TOKEN	,A.TOKEN	) as TOKEN			,
				COALESCE( B.TANI	,C.TANI		) as TANI			,
				B.VAL , B.RIYU										,
				COALESCE( B.UPCNT	, 0			) as UPCNT			,
				COALESCE( B.JUDG 	,'0'		) as JUDG			,
				COALESCE( A.TKN_NM	,C.TKN_NM	) as TKN_NM			,
				C.VIEW_LEN , C.DATA_TYPE 							,
				A.DEF_VAL											,
				D.SEL_NM , D.MARKER									,
				A.ROWNO , A.COLNO , A.COLSPAN , A.ROWSPAN			,
				A.CDREC , A.CDDISP 									,
				A.E_MIN , A.W_MIN , A.W_MAX , A.E_MAX				,
				COALESCE( '{@DY_YOTE}' ,'{@DY_HATU}' ) as DY_YOTE	,
				B.UNIQ,B.FGJ,B.USRSET,B.DYSET,B.USRUPD,B.DYUPD
		from GG02 A left outer join GG10 B
				on  A.SET_GRP	= B.SET_GRP
				and A.TOKEN		= B.TOKEN
				and B.SET_KEY	= '{@SET_KEY}'
				and B.DY_HATU	= '{@DY_HATU}'
					left outer join GG01 C
					on A.TOKEN = C.TOKEN
						left outer join GG03 D
						on  D.SEL_TYPE = '0'
						and D.SEL_KEY  = 'TKN_GRP'
						and D.SEL_VAL  = C.TKN_GRP
		where A.SET_GRP in ( '{@SET_GRP}','{@SEL_KEY}' )
			<og:where startKey="and">
				<og:and value = "A.TAB_NM = '{@TAB_NM}'" />
			</og:where>
		and   A.FGJ		= '1'
		order by A.ROWNO,A.COLNO,B.UPCNT DESC
</og:query>

<og:columnEditor columns="DY_HATU,SET_KEY,SET_GRP,TOKEN"	must="true" />

<!-- formタグでリクエストフィールドを囲います。oneClick()関数は、２重押し防止JavaScriptです。 -->
<form name="form1" method="POST" action="forward.jsp" target="RESULT" >
	<!-- 複写、変更、削除ボタンを作成します。value属性+.jspの画面に制御が移ります。 -->
	<!-- このとき、command=(value属性の値の大文字)が設定されます。 command属性で設定しなおすことも出来ます。-->
	<og:writeCheck>
		<og:submit action="INSERT" keys="sqlType" vals="INSERT" value="entry" noWritable="null"						caseKey="{@CNT}" caseVal="0" />
		<og:submit action="MODIFY" keys="sqlType" vals="MODIFY" value="entry" columnWritable="VAL,TANI,JUDG,RIYU"	caseKey="{@CNT}" caseVal="1" />
<!--	<og:submit action="DELETE" keys="sqlType" vals="DELETE" value="entry" columnWritable="null"					caseKey="{@CNT}" caseVal="1" />	-->
	<br />
	</og:writeCheck>

<!-- なぜか、div を block 要素に変更しても、fieldset が下に来ない -->
<table><tr><td>
<!--
		リンクで遷移する場合に必要な引数。今はサブミットさせるので、不要
		constKeys	= "command,DY_HATU,SET_KEY,SET_GRP,TAB_NM"
		constVals	= "NEW,{@DY_HATU},{@SET_KEY},{@SET_GRP},{@TAB_NM}"
-->
	<og:tabLink
		caseNN		= "{@TAB_NM}"
		openTabName = "{@TAB_NM}"
		href		= "#"
		openTab		= "false"
		onClick		= "sub(this); return false;"
	>
		select TAB_NM from GG02 where SET_GRP='{@SET_GRP}' group by TAB_NM order by min(ROWNO),min(COLNO)
	</og:tabLink>
</td></tr></table>

<!-- DB検索結果を表示させます。 -->
	<og:view
		viewFormType = "HTMLTokenTable"
		command    = "{@command}"
		noDisplay  = "DY_HATU,SET_KEY,SET_GRP,DY_YOTE,UPCNT,UNIQ,USRSET,DYSET,USRUPD,DYUPD,{@extDisplay}"
		checked    = "{@checked}"
		startNo    = "{@startNo}"
		pageSize   = "{@pageSize}"
		useScrollBar = "false"
		bgColorCycle = "0"
	/>

	<!-- クリックされたリンクを、entry.jsp に渡すためのhidden -->
	<og:hidden name="TAB_NM" value="" />

	<!-- 最大の更新ｶｳﾝﾀの取得。先のquery では、ﾀﾌﾞ名称 の絞り込みが行われているので、再度検索して、entry.jsp に渡す -->
	<og:value command="SQL" >
		select max(COALESCE(UPCNT,0))+1 as MXCNT from GG10
		where  DY_HATU='{@DY_HATU}' and SET_KEY='{@SET_KEY}' and SET_GRP='{@SET_GRP}'
	</og:value>

	<og:hidden name="MXCNT" value="{@MXCNT}" />

</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
